Subject: bug#28749: guix build --subsitute-urls does not override guix-daemon run with --no-subsitutes

From: Leo Famulari <[email-masked]>
Date: Fri, 13 Oct 2017 17:54:30 -0400

On Fri, Oct 13, 2017 at 09:59:18AM -0400, Maxim Cournoyer wrote:
> Although, I would argue that the current behavior is
> non-intuitive. While true that the manual skim about how one can achieve
> this, the reference to "The Store" is not helpful; it doesn't even
> mention the "set-build-options" procedure. Also, leaving the command
> line to plug directly into Guix's API from Guile is inconvenient at best.
> 
> It seems to me that the current behavior of other options that affect
> the guix-daemon operation are that user options override the
> corresponding guix-daemon defaults; maybe that's what lead me and others
> to think that --substitute-urls should attempt to do what the user
> desires?

Yeah, maybe it should be changed to be consistent with the behavior of
the other options.

> Otherwise, we could at least give advice on the output of a Guix command
> when the user passed --substitute-urls when the guix-daemon substitutes
> were disabled to make this clear(er).

Agreed, we should at least do that.